<?php
namespace app\model;

use think\Model;


class XyZskDisease extends Model
{
    protected $table = "jm_xy_zsk_disease";


    /**
     * 搜索器 disease(name)
     */
    public function searchNameAttr($query , $value , $data)
    {
        $query->where('name' , 'like' , '%'.$value.'%');
    }


    /***
     * 搜索器（department）
     */
    public function searchDepartmentLevel1Attr($query , $value , $data)
    {
        $query->where('departmentLevel1' , '=' , $value);
    }

}